[PATCH] Cleanup WIN32 define usage

This is the only instance of WIN32 left in the quake source. The rest are
_WIN32, so update this one to match.

diff -urN b/common/gl_draw.c head/common/gl_draw.c
--- b/common/gl_draw.c	2005-11-27 21:30:42.000000000 +1030
+++ head/common/gl_draw.c	2006-03-14 07:50:19.000000000 +1030
@@ -40,7 +40,7 @@
 #endif
 
 // FIXME - GL Header hacks for missing define on MinGW 3.1.0-1
-#if defined(WIN32) && !defined(GL_COLOR_INDEX8_EXT)
+#if defined(_WIN32) && !defined(GL_COLOR_INDEX8_EXT)
 #define GL_COLOR_INDEX8_EXT 0x80E5
 #endif
 
